/**
 * EasyBeans
 * Copyright (C) 2007 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: AbsLauncher.java 3054 2008-04-30 15:41:13Z sauthieg $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.osgi.plugins.launcher;

import org.ow2.easybeans.osgi.plugins.launcher.api.ILauncher;

/**
 * Common stuff of launchers.
 * @author Florent BENOIT.
 */
public abstract class AbsLauncher implements ILauncher {

    /**
     * Seconds is 1000 millis.
     */
    public static final long SECONDS = 1000L;


    /**
     * Configuration object.
     */
    private Configuration configuration = null;

    /**
     * Build a launcher with the given configuration object.
     * @param configuration the given configuration
     */
    public AbsLauncher(final Configuration configuration) {
        this.configuration = configuration;
    }


    /**
     * Gets the configuration used by this launcher.
     * @return the configuration.
     */
    public Configuration getConfiguration() {
        return configuration;
    }

}
